summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-02-28 23:04:31 +0100
committerMichał Górny <mgorny@gentoo.org>2021-02-28 23:10:42 +0100
commitfa433b368a95deecfc4215f4aa89445ef199b753 (patch)
tree21b6e5ff62865625de0de28c48a3d893376e9c68 /eclass/kernel-install.eclass
parentx11-terms/qterminal: Drop 0.16.1 (r0) (diff)
downloadgentoo-fa433b368a95deecfc4215f4aa89445ef199b753.tar.gz
gentoo-fa433b368a95deecfc4215f4aa89445ef199b753.tar.bz2
gentoo-fa433b368a95deecfc4215f4aa89445ef199b753.zip
kernel-install.eclass: Fix bypassing dracut configs
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'eclass/kernel-install.eclass')
-rw-r--r--eclass/kernel-install.eclass10
1 files changed, 8 insertions, 2 deletions
diff --git a/eclass/kernel-install.eclass b/eclass/kernel-install.eclass
index b8109f47d0bf..965001924e7d 100644
--- a/eclass/kernel-install.eclass
+++ b/eclass/kernel-install.eclass
@@ -211,9 +211,15 @@ kernel-install_test() {
local qemu_arch=$(kernel-install_get_qemu_arch)
+ # NB: if you pass a path that does not exist or is not a regular
+ # file/directory, dracut will silently ignore it and use the default
+ # https://github.com/dracutdevs/dracut/issues/1136
+ > "${T}"/empty-file || die
+ mkdir -p "${T}"/empty-directory || die
+
dracut \
- --conf /dev/null \
- --confdir /dev/null \
+ --conf "${T}"/empty-file \
+ --confdir "${T}"/empty-directory \
--no-hostonly \
--kmoddir "${modules}" \
"${T}/initrd" "${version}" || die